summaryrefslogtreecommitdiffstats
path: root/network/squid
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-12 17:44:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:44:14 +0200
commit633d26a36c9442789a3898508ad14b40589ad070 (patch)
tree619250ca8eb2f626b8717f94784511cea730af6d /network/squid
parent67c26eccbfc3bae6a022b4d3d500e3ac343874ee (diff)
downloadslackbuilds-633d26a36c9442789a3898508ad14b40589ad070.tar.gz
slackbuilds-633d26a36c9442789a3898508ad14b40589ad070.tar.xz
network/squid: Updated for version 3.0.STABLE14
Diffstat (limited to 'network/squid')
-rw-r--r--network/squid/README12
-rw-r--r--network/squid/README.SBo8
-rw-r--r--network/squid/doinst.sh6
-rw-r--r--network/squid/squid.SlackBuild17
-rw-r--r--network/squid/squid.info6
5 files changed, 25 insertions, 24 deletions
diff --git a/network/squid/README b/network/squid/README
index 3bd042b5ee..ecff64fc7d 100644
--- a/network/squid/README
+++ b/network/squid/README
@@ -7,14 +7,4 @@ Squid supports SSL, extensive access controls, and full request logging.
By using the lightweight Internet Cache Protocol, squid caches can be
arranged in a hierarchy or mesh for additional bandwidth savings.
-*** NOTE: default paths have changed from prior version ***
-If you need the old paths, edit /etc/squid/squid.conf, /etc/rc.d/rc.squid,
-and /etc/logrotate.d/squid as needed.
-
-If you need to start squid at boot, make sure /etc/rc.d/rc.squid is
-executable and add the following to /etc/rc.d/rc.local:
- if [ -x /etc/rc.d/rc.squid ]; then
- /etc/rc.d/rc.squid start
- fi
-
-See /usr/doc/squid-3.0.STABLE10/README.SBo for configuration help.
+See /usr/doc/squid-3.0.STABLE13/README.SBo for configuration help.
diff --git a/network/squid/README.SBo b/network/squid/README.SBo
index 6ef91cf53a..5dcc214a06 100644
--- a/network/squid/README.SBo
+++ b/network/squid/README.SBo
@@ -2,6 +2,14 @@ README.SBo - configuration help for squid from SlackBuilds.org
==============================================================================
+If you need to start squid at boot, make sure /etc/rc.d/rc.squid is
+executable and add the following to /etc/rc.d/rc.local:
+ if [ -x /etc/rc.d/rc.squid ]; then
+ /etc/rc.d/rc.squid start
+ fi
+
+==============================================================================
+
Uncomment and edit the following lines in /etc/squid.conf:
http_port <port> <option>
diff --git a/network/squid/doinst.sh b/network/squid/doinst.sh
index ca824a11f4..c811e9a972 100644
--- a/network/squid/doinst.sh
+++ b/network/squid/doinst.sh
@@ -1,12 +1,11 @@
-#!/bin/sh
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
- rm $NEW
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW # toss the redundant copy
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
@@ -26,3 +25,4 @@ config etc/squid/mime.conf.new
config etc/squid/squid.conf.new
config etc/squid/cachemgr.conf.new
config etc/logrotate.d/squid.new
+
diff --git a/network/squid/squid.SlackBuild b/network/squid/squid.SlackBuild
index de7206f75d..5995673077 100644
--- a/network/squid/squid.SlackBuild
+++ b/network/squid/squid.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for squid
# http://www.squid-cache.org/
-# Copyright 2006-2008 David Somero (dsomero@hotmail.com)
+# Copyright 2006-2008 David Somero (dsomero@hotmail.com) Athens,TN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=squid
-VERSION=3.0.STABLE10
+VERSION=3.0.STABLE14
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -78,8 +78,10 @@ make all
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -88,9 +90,10 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CONTRIBUTORS COPYING COPYRIGHT CREDITS ChangeLog INSTALL \
+cp -a \
+ CONTRIBUTORS COPYING COPYRIGHT CREDITS ChangeLog INSTALL \
QUICKSTART README RELEASENOTES.html SPONSORS $CWD/README.SBo \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown root:root $PKG/usr/doc/$PRGNAM-$VERSION/*
diff --git a/network/squid/squid.info b/network/squid/squid.info
index 0ac81b3efc..c78e01eae9 100644
--- a/network/squid/squid.info
+++ b/network/squid/squid.info
@@ -1,8 +1,8 @@
PRGNAM="squid"
-VERSION="3.0.STABLE10"
+VERSION="3.0.STABLE14"
HOMEPAGE="http://www.squid-cache.org/"
-DOWNLOAD="http://www.squid-cache.org/Versions/v3/3.0/squid-3.0.STABLE10.tar.bz2"
-MD5SUM="cfd37717230220a9f47177594e235f18"
+DOWNLOAD="http://www.squid-cache.org/Versions/v3/3.0/squid-3.0.STABLE14.tar.bz2"
+MD5SUM="7aaff2319d2263404d788a82a10c8633"
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"
APPROVED="rworkman"